﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DefaultCS.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />
        <div>
            <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">

                <script type="text/javascript">
			        function ShowEditForm(id, rowIndex)
			        {
                        var grid = $find("<%= RadGrid1.ClientID %>");
                        
                        var rowControl = grid.get_masterTableView().get_dataItems()[rowIndex].get_element();                
                        grid.get_masterTableView().selectItem(rowControl, true);
                        		
				        window.radopen("EditFormCS.aspx?EmployeeID=" + id, "UserListDialog");
				        return false; 
			        }
                    function ShowInsertForm()
                    {
                       window.radopen("EditFormCS.aspx", "UserListDialog");
                       return false;
                    }
			        function refreshGrid(arg)
			        {
			            if(!arg)
			            {
			                $find("<%= RadAjaxManager1.ClientID %>").ajaxRequest("Rebind");			        
				        }
				        else
				        {
			                $find("<%= RadAjaxManager1.ClientID %>").ajaxRequest("RebindAndNavigate");			        
				        }
			        }
			        function RowDblClick(sender, eventArgs)
			        {
			          window.radopen("EditFormCS.aspx?EmployeeID=" + eventArgs.getDataKeyValue("EmployeeID"));
			        }
                </script>

            </telerik:RadCodeBlock>
            <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" OnAjaxRequest="RadAjaxManager1_AjaxRequest">
                <AjaxSettings>
                    <telerik:AjaxSetting AjaxControlID="RadAjaxManager1">
                        <UpdatedControls>
                            <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
                        </UpdatedControls>
                    </telerik:AjaxSetting>
                    <telerik:AjaxSetting AjaxControlID="RadGrid1">
                        <UpdatedControls>
                            <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
                        </UpdatedControls>
                    </telerik:AjaxSetting>
                </AjaxSettings>
            </telerik:RadAjaxManager>
            <telerik:RadGrid OnItemCreated="RadGrid1_ItemCreated" ID="RadGrid1" runat="server"
                Skin="Hay" AllowPaging="True" Width="97%" DataSourceID="AccessDataSource1">
                <PagerStyle Mode="NumericPages" />
                <MasterTableView AutoGenerateColumns="False" DataKeyNames="EmployeeID" Width="100%"
                    CommandItemDisplay="Top" PageSize="5">
                    <Columns>
                        <telerik:GridClientSelectColumn UniqueName="ClientSelectionColumn" ItemStyle-Width="25px" />
                        <telerik:GridBoundColumn DataField="EmployeeID" HeaderText="EmployeeID" ReadOnly="True"
                            SortExpression="EmployeeID" UniqueName="EmployeeID">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="FirstName" HeaderText="FirstName" SortExpression="FirstName"
                            UniqueName="FirstName">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="LastName" HeaderText="LastName" SortExpression="LastName"
                            UniqueName="LastName">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="Title" HeaderText="Title" SortExpression="Title"
                            UniqueName="Title">
                        </telerik:GridBoundColumn>
                        <telerik:GridTemplateColumn UniqueName="TemplateEditColumn">
                            <ItemTemplate>
                                <asp:HyperLink ID="EditLink" runat="server" Text="Edit"></asp:HyperLink>
                            </ItemTemplate>
                        </telerik:GridTemplateColumn>
                    </Columns>
                    <CommandItemTemplate>
                        <a href="#" onclick="return ShowInsertForm();">Add New Record</a>
                    </CommandItemTemplate>
                </MasterTableView>
                <ClientSettings>
                    <Selecting AllowRowSelect="true" />
                </ClientSettings>
            </telerik:RadGrid>
            <telerik:RadWindowManager ID="RadWindowManager1" runat="server" Skin="Vista">
                <Windows>
                    <telerik:RadWindow Skin="Hay" ID="UserListDialog" runat="server" Title="User List Dialog"
                        Height="400px" Width="300px" Left="150px" ReloadOnShow="true" Modal="true" />
                </Windows>
            </telerik:RadWindowManager>
            <asp:Button ID="Button1" runat="server" Text="Submit" OnClick="Button1_Click" />
            <asp:SqlDataSource ID="AccessDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NWind %>"
                SelectCommand="SELECT [EmployeeID], [LastName], [FirstName], [Title] FROM [Employees]">
            </asp:SqlDataSource>
            <asp:Label ID="SelectedItemLabel" runat="server" Text=""></asp:Label>
            <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
                SelectCommand="SELECT * FROM [Alphabetical list of products]"></asp:SqlDataSource>
        </div>
    </form>
</body>
</html>
